<?php
/**
 *
 * Adds custom Block Styles to the editor.
 *
 * @link https://developer.wordpress.org/block-editor/developers/filters/block-filters/
 *
 * @package Hansen
 */

/*
 * Would this be better with 'core/query' instead?
 * Currently 'core/query' does not pass styles to front end,
 * so using inner 'core/query-loop', although is not immediately
 * obvious that it can be selected in the editor.
*/
register_block_style(
	'core/query-loop',
	array(
		'name'			=> 'box-shadow',
		'label'			=> __( 'Box Shadow', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/query-loop',
	array(
		'name'			=> 'box-shadow-2',
		'label'			=> __( 'Box Shadow 2', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/query-loop',
	array(
		'name'			=> 'border',
		'label'			=> __( 'Border', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/query-loop',
	array(
		'name'			=> 'border-2',
		'label'			=> __( 'Border 2', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/columns',
	array(
		'name'			=> 'no-spacing',
		'label'			=> __( 'No Spacing', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/gallery',
	array(
		'name'			=> 'no-spacing',
		'label'			=> __( 'No Spacing', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/navigation',
	array(
		'name'			=> 'mobile',
		'label'			=> __( 'Mobile Friendly', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/navigation',
	array(
		'name'			=> 'mobile-all',
		'label'			=> __( 'Mobile Style', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/group',
	array(
		'name'			=> 'narrow-width',
		'label'			=> __( 'Narrow Width', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/group',
	array(
		'name'			=> 'text-columns-2',
		'label'			=> __( '2 Text Columns', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/group',
	array(
		'name'			=> 'text-columns-3',
		'label'			=> __( '3 Text Columns', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/group',
	array(
		'name'			=> 'text-columns-4',
		'label'			=> __( '4 Text Columns', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/paragraph',
	array(
		'name'			=> 'text-indent',
		'label'			=> __( 'Text Indent', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/media-text',
	array(
		'name'			=> 'angled-divider',
		'label'			=> __( 'Angled Divider', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/media-text',
	array(
		'name'			=> 'media-text-overlap',
		'label'			=> __( 'Overlapping Content (requires image fill)', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);
